BASENAME(1V)

NAME
basename, dirname - display portions of pathnames and filenames

SYNOPSIS
basename string [ suffix ]
dirname string

AVAILABILITY

The dirname command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION
basename deletes any prefix ending in / and the suffix, if present in string. It directs the result to the standard output, and is normally used inside substitution marks (` `) within shell procedures.

dirname delivers all but the last level of the path name in string.

EXAMPLES

This shell procedure invoked with the argument /usr/src/bin/cat.c compiles the named file and moves the output to cat in the current directory:
    cc $1
    mv a.out `basename $1 .c`

The following example will set the shell variable NAME to /usr/src/cmd:
    NAME=`dirname /usr/src/cmd/cat.c`

SEE ALSO
sh(1)